digiKam Developer Documentation: Digikam::ItemViewUtilities Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes | List of all members
Digikam::ItemViewUtilities Class Reference
Inheritance diagram for Digikam::ItemViewUtilities:

## Public Types
enum | DeleteMode { DeletePermanently = 1 , DeleteUseTrash = 2 }

## Public Slots
void | copyItemsToExternalFolder (const QList< ItemInfo > &infos)
void | createGroupByFilenameFromInfoList (const ItemInfoList &itemInfoList)
void | createGroupByTimeFromInfoList (const ItemInfoList &itemInfoList)
void | createGroupByTimelapseFromInfoList (const ItemInfoList &itemInfoList)
void | createNewAlbumForInfos (const QList< ItemInfo > &infos, Album *currentAlbum)
bool | deleteImages (const QList< ItemInfo > &infos, const DeleteMode deleteMode)
void | deleteImagesDirectly (const QList< ItemInfo > &infos, const DeleteMode deleteMode)
void | insertSilentToQueueManager (const QList< ItemInfo > &list, const ItemInfo &currentInfo, int queueid)
void | insertToLightTable (const QList< ItemInfo > &list, const ItemInfo &current, bool addTo)
void | insertToLightTableAuto (const QList< ItemInfo > &all, const QList< ItemInfo > &selected, const ItemInfo &current)
void | insertToQueueManager (const QList< ItemInfo > &list, const ItemInfo &currentInfo, bool newQueue)
void | notifyFileContentChanged (const QList< QUrl > &urls)
void | openInfos (const ItemInfo &info, const QList< ItemInfo > &allInfosToOpen, Album *currentAlbum)
void | openInfosWithDefaultApplication (const QList< ItemInfo > &allInfosToOpen)
void | rename (const QUrl &imageUrl, const QString &newName, bool overwrite=false)
void | setAsAlbumThumbnail (Album *album, const ItemInfo &itemInfo)

## Signals
void | editorCurrentUrlChanged (const QUrl &url)
void | signalImagesDeleted (const QList< qlonglong > &imageIds)

## Public Member Functions
| ItemViewUtilities (QWidget *const parentWidget)

## Protected Attributes
QWidget * | m_widget = nullptr